require 'test_helper'

class Infrastructure::EnvironmentTest < MiniTest::Test

  def setup
    @instance = Infrastructure::Environment.new
  end

  def test_environment
    assert_equal '', @instance.to_s, 'default environment = development'
    %w( development test production).each do |environment|
      @instance.assign :environment, environment
      %w( development test production).each do |environment|
        if environment == @instance.to_s
          assert @instance.send("#{environment}?"), "#{environment}? should be true"
        else
          refute @instance.send("#{environment}?"), "#{environment}? should be false"
        end
      end
    end
  end

end
