require 'test_helper'

class Infrastructure::VersionTest < MiniTest::Test

  def setup
    @instance = Infrastructure::Version.new
  end

  def test_version
    assert @instance.fetch(:version).nil?, 'default version = nil'
    @instance.assign :version, '0.0.1'
    assert_equal '0.0.1', @instance.version, 'default version = 0.0.1'
    @instance.assign :version, '0.0.2'
    assert_equal '0.0.2', @instance.version, 'version is updated' 
    @instance.bump_tiny
    assert_equal '0.0.3', @instance.version, 'bump_tiny'
    @instance.bump_minor
    assert_equal '0.1.3', @instance.version, 'bump_minor'
    @instance.bump_major
    assert_equal '1.1.3', @instance.version, 'bump_major'
  end

end
