require 'test_helper'

class InfrastructureTest < MiniTest::Test

  def setup
    @class = Class.new do
      attr_reader :params
      def initialize(*params); @params = params end
      def test; 'test' end
    end
  end

  def test_build
    i = Infrastructure.new
    i.build :key1, @class
    assert_instance_of @class, i.key1
    assert_equal 'test', i.key1.test, 'instance methods can be called'
    assert i.key1.params.empty?, 'params are passed'
    i.build :key2, @class, 'value1', 'value2'
    assert_instance_of @class, i.key2
    assert_equal 'test', i.key2.test, 'instance methods can be called'
    assert_equal 'value1', i.key2.params.first, 'params are passed'
    assert_equal 'value2', i.key2.params.last, 'params are passed'
  end

end
